Unable to connect to websites.

Options
Selchu
Selchu Posts: 1 New Member
edited April 2 in F-Secure VPN

Hi folks,

Since yesterday I have been receiving this error

'This site can’t provide a secure connection

www.gumtree.com uses an unsupported protocol.ERR_SSL_VERSION_OR_CIPHER_MISMATCH'

when trying to connect to websites. I can get Freedom to work but I have to jump connections around first to find one that will work. See a few others are having the same issue so thought I would report it here.


Cheers

Accepted Answer

  • Firmy
    Firmy Posts: 1,737 Community Manager
    Answer ✓
    Options

    Hello @Selchu

    Welcome to the F-Secure Community. Thank you for your post.

    We are aware of the issue you mentioned. The topic is being actively discussed in this thread: https://community.f-secure.com/en/discussion/comment/134619#Comment_134619.

    We understand that this situation may be causing you some inconvenience, and we regret for that. Please rest assured that our team is diligently working to resolve this issue.

    Thank you for your understanding, and we hope you have a great day.

This discussion has been closed.
Product & Pricing Info